This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 175495 - Review Request: cgi-util: A C library for creating CGI programs
Review Request: cgi-util: A C library for creating CGI programs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-11 17:37 EST by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 21:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mock build log (10.28 KB, text/plain)
2006-02-23 05:01 EST, Ignacio Vazquez-Abrams
no flags Details

  None (edit)
Description W. Michael Petullo 2005-12-11 17:37:29 EST
Spec Name or Url: http://flyn.org/SRPMS/cgi-util.spec
SRPM Name or Url: http://flyn.org/SRPMS/cgi-util-2.2.1-1.src.rpm
Description: A C library for creating Common Gateway Interface ("CGI") programs
Comment 1 W. Michael Petullo 2005-12-13 20:10:45 EST
The following version spilts out a devel package:

Spec Name or Url: http://flyn.org/SRPMS/cgi-util.spec
SRPM Name or Url: http://flyn.org/SRPMS/cgi-util-2.2.1-2.src.rpm
Description: A C library for creating Common Gateway Interface ("CGI") programs
Comment 2 Ignacio Vazquez-Abrams 2006-02-21 07:15:15 EST
- %description of -devel is overly verbose
? Why is the patch being used to rename files?
- Does not build on mock FC4/i386.
Comment 3 W. Michael Petullo 2006-02-21 19:32:55 EST
The following shortens the package descriptions and no longer renames the
documentation files:

Spec Name or Url: http://flyn.org/SRPMS/cgi-util.spec
SRPM Name or Url: http://flyn.org/SRPMS/cgi-util-2.2.1-3.src.rpm
Description: A C library for creating Common Gateway Interface ("CGI") programs

Ignacio, what causes the package to fail to build on mock FC4/i386?
Comment 4 Ignacio Vazquez-Abrams 2006-02-22 02:47:40 EST
gcc -DHAVE_CONFIG_H -I. -I. -I. -g -Werror -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -MT
cgi-util.lo -MD -MP -MF .deps/cgi-util.Tpo -c cgi-util.c  -fPIC -DPIC -o
.libs/cgi-util.o
cc1: warnings being treated as errors
cgi-util.c: In function 'cgi_init':
cgi-util.c:220: warning: ignoring return value of 'fgets', declared with
attribute warn_unused_result
make[1]: *** [cgi-util.lo] Error 1
Comment 5 W. Michael Petullo 2006-02-22 18:31:09 EST
The following removes the use of -Werror from the build process:

Spec Name or Url: http://flyn.org/SRPMS/cgi-util.spec
SRPM Name or Url: http://flyn.org/SRPMS/cgi-util-2.2.1-4.src.rpm
Description: A C library for creating Common Gateway Interface ("CGI") programs
Comment 6 Ignacio Vazquez-Abrams 2006-02-23 05:01:51 EST
Created attachment 125091 [details]
mock build log

Unfortunately your first attempt to remove -Werror has failed.
Comment 7 W. Michael Petullo 2006-02-23 18:57:07 EST
The following removes the use of -Werror from Makefile.in:

Spec Name or Url: http://flyn.org/SRPMS/cgi-util.spec
SRPM Name or Url: http://flyn.org/SRPMS/cgi-util-2.2.1-5.src.rpm
Description: A C library for creating Common Gateway Interface ("CGI") programs
Comment 8 Ignacio Vazquez-Abrams 2006-03-09 12:39:00 EST
- test.cgi and filetest.cgi aren't useful to have as system binaries so they
shouldn't be in %{_bindir}. Put them as %doc along with the corresponding .html
files.
- Move README to -devel %doc and add test.c and filetest.c
- Pass --disable-static to configure
Comment 9 W. Michael Petullo 2006-03-09 18:31:39 EST
The following implements Ignacio's recommendations:

Spec Name or Url: http://flyn.org/SRPMS/cgi-util.spec
SRPM Name or Url: http://flyn.org/SRPMS/cgi-util-2.2.1-6.src.rpm
Description: A C library for creating Common Gateway Interface ("CGI") programs
Comment 10 Ignacio Vazquez-Abrams 2006-04-04 19:15:54 EDT
I really would prefer that you use mv or rename in %prep instead of using a
patch to rename files... but I'll consider it a non-blocker.

OTOH, you need to remove the .cgi files from %{_bindir}.
Comment 11 W. Michael Petullo 2006-04-04 20:20:44 EDT
The patch is used to rename files so that I can get this change upstream.  The
maintainers seem willing to accept it after the next version is released.

The following implements Ignacio's recommendations:

Spec Name or Url: http://flyn.org/SRPMS/cgi-util.spec
SRPM Name or Url: http://flyn.org/SRPMS/cgi-util-2.2.1-7.src.rpm
Description: A C library for creating Common Gateway Interface ("CGI") programs
Comment 12 Ignacio Vazquez-Abrams 2006-04-07 02:51:19 EDT
APPROVED.

Note You need to log in before you can comment on or make changes to this bug.